Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class StatsRecorderLayoutEventListener

    java.lang.Object
      org.jasig.portal.services.stats.StatsRecorderLayoutEventListener

All Implemented Interfaces:
  java.util.EventListener, LayoutEventListener

    public class StatsRecorderLayoutEventListener

extends java.lang.Object
implements LayoutEventListener

Listens to events generated by an `IUserLayoutManager`. The information in the event is passed along to the `StatsRecorder` service.

Version:
  $Revision: 1.9 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`(package private) IPerson` | `person`
`(package private) UserProfile` | `profile`

Constructor Summary
`StatsRecorderLayoutEventListener(IPerson person, UserProfile profile)` Constructor for `StatsRecorderLayoutEventListener`.

Method Summary
`void` | `channelAdded(LayoutEvent ev)`
`void` | `channelDeleted(LayoutMoveEvent ev)`
`void` | `channelMoved(LayoutMoveEvent ev)`
`void` | `channelUpdated(LayoutEvent ev)`
`void` | `folderAdded(LayoutEvent ev)`
`void` | `folderDeleted(LayoutMoveEvent ev)`
`void` | `folderMoved(LayoutMoveEvent ev)`
`void` | `folderUpdated(LayoutEvent ev)`
`void` | `layoutLoaded()`
`void` | `layoutSaved()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### person

    IPerson person

### profile

    UserProfile profile

Constructor Detail

### StatsRecorderLayoutEventListener

    public StatsRecorderLayoutEventListener(IPerson person,
                                            UserProfile profile)

  Constructor for `StatsRecorderLayoutEventListener`.

  Parameters:
    `person` - the owner of the layout for which this listener is listening
    `profile` - the profile of the layout for which this listener is listening

Method Detail

### channelAdded

    public void channelAdded(LayoutEvent ev)

  Specified by:
    `channelAdded` in interface `LayoutEventListener`

### channelUpdated

    public void channelUpdated(LayoutEvent ev)

  Specified by:
    `channelUpdated` in interface `LayoutEventListener`

### channelMoved

    public void channelMoved(LayoutMoveEvent ev)

  Specified by:
    `channelMoved` in interface `LayoutEventListener`

### channelDeleted

    public void channelDeleted(LayoutMoveEvent ev)

  Specified by:
    `channelDeleted` in interface `LayoutEventListener`

### folderAdded

    public void folderAdded(LayoutEvent ev)

  Specified by:
    `folderAdded` in interface `LayoutEventListener`

### folderUpdated

    public void folderUpdated(LayoutEvent ev)

  Specified by:
    `folderUpdated` in interface `LayoutEventListener`

### folderMoved

    public void folderMoved(LayoutMoveEvent ev)

  Specified by:
    `folderMoved` in interface `LayoutEventListener`

### folderDeleted

    public void folderDeleted(LayoutMoveEvent ev)

  Specified by:
    `folderDeleted` in interface `LayoutEventListener`

### layoutLoaded

    public void layoutLoaded()

  Specified by:
    `layoutLoaded` in interface `LayoutEventListener`

### layoutSaved

    public void layoutSaved()

  Specified by:
    `layoutSaved` in interface `LayoutEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD